[mach-o]tweak the XP_MACOSX ifdefs

RESOLVED FIXED in mozilla0.9.7

Status

SeaMonkey
General
P2
normal
RESOLVED FIXED
16 years ago
13 years ago

People

(Reporter: dbaron, Assigned: dbaron)

Tracking

Trunk
mozilla0.9.7
PowerPC
Mac OS X

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(3 attachments)

I tweaked the XP_MACOSX ifdefs last night a bit, and added makefiles for the mac
classic skin.  I'll attach a patch.  The main things it does are:

 * uses Mac classic rather than Win classic skin
 * gets keyboard shortcuts mostly working
 * gets context menus working
 * gets the hidden window behavior working right (although the Quit menu item
still doesn't work right, so it leaves no way to quit the app)
Status: NEW → ASSIGNED
Priority: -- → P2
Target Milestone: --- → mozilla0.9.7
Created attachment 57116 [details] [diff] [review]
patch
Summary: tweak the XP_MACOSX ifdefs → [mach-o]tweak the XP_MACOSX ifdefs

Comment 2

16 years ago
Comment on attachment 57116 [details] [diff] [review]
patch

r/sr=beard
Attachment #57116 - Flags: superreview+
r=pink
Fix checked in, 2001-11-10 15:28/29/30 PDT.
Status: ASSIGNED → RESOLVED
Last Resolved: 16 years ago
Resolution: --- → FIXED
Reopening, since I have another patch coming that at least gets the Quit item to
appear if I comment out AquifyMenuBar.  We were trying to combine the unix
platformGlobalOverlay.dtd with the mac platformGlobalOverlay.xul, leading to an
undefined entity.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Status: REOPENED → ASSIGNED
Created attachment 57491 [details] [diff] [review]
patch #2
And I put a patch to fix the Quit menu item in bug 107212.
Comment on attachment 57491 [details] [diff] [review]
patch #2

r=pink
Attachment #57491 - Flags: review+

Updated

16 years ago
Attachment #57491 - Flags: superreview+

Comment 9

16 years ago
Comment on attachment 57491 [details] [diff] [review]
patch #2

sr=sfraser
Fix checked in 2001-11-13 17:48 PDT.
Status: ASSIGNED → RESOLVED
Last Resolved: 16 years ago16 years ago
Resolution: --- → FIXED
Created attachment 58495 [details] [diff] [review]
fix the ICO decoder
Using the same bug for yet another tweak.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Fix checked in 2001-11-20 16:27 PDT.
Status: REOPENED → RESOLVED
Last Resolved: 16 years ago16 years ago
Resolution: --- → FIXED
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.